# salt.serializers.plist

Added in version 3001.

Implements plist serializer.

Wrapper around plistlib.

salt.serializers.plist.deserialize(stream_or_string, **options)

  Deserialize any string or stream like object into a Python data structure.

  Parameters:

    - stream_or_string -- stream or string to deserialize.

    - options -- options given to lower plist module.

  Returns:

    Deserialized data structure.

salt.serializers.plist.serialize(value, **options)

  Serialize Python data to plist. To create a binary plist pass `fmt: FMT_BINARY` as an option.

  Parameters:

    - obj -- the data structure to serialize

    - options -- options given to lower plist module.

  Returns:

    bytes of serialized plist.